Last Comment Bug 593283 - persist each group's active tab across sessions
: persist each group's active tab across sessions
Status: RESOLVED FIXED
:
Product: Firefox Graveyard
Classification: Graveyard
Component: Panorama (show other bugs)
: Trunk
: All All
: P3 normal
: Firefox 9
Assigned To: Raymond Lee [:raymondlee]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-02 23:12 PDT by Dietrich Ayala (:dietrich)
Modified: 2016-04-12 14:00 PDT (History)
8 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
v1 (7.13 KB, patch)
2011-09-19 12:26 PDT, Raymond Lee [:raymondlee]
dietrich: review+
Details | Diff | Splinter Review
Patch for checkin (7.30 KB, patch)
2011-09-19 20:01 PDT, Raymond Lee [:raymondlee]
no flags Details | Diff | Splinter Review

Description Dietrich Ayala (:dietrich) 2010-09-02 23:12:57 PDT
bug 590606 makes the active tab persist across group switching. however it doesn't persist across sessions.

to fully restore a user's session, and return them to where they left off, the active tab should be restored after a restart.
Comment 1 JJM 2010-09-06 10:39:36 PDT
This could be the solution to bug 589665:
https://bugzilla.mozilla.org/show_bug.cgi?id=589665
Comment 2 Ian Gilman [:iangilman] 2010-09-17 16:30:57 PDT
(In reply to comment #1)
> This could be the solution to bug 589665:
> https://bugzilla.mozilla.org/show_bug.cgi?id=589665

Seems unlikely; in that bug, no Panorama information is getting saved. 

Lowering the priority on this bug; seems like a "nice to have".
Comment 3 Aza Raskin [:aza] 2010-10-12 14:39:03 PDT
A nice to have. To the future it goes!
Comment 4 Raymond Lee [:raymondlee] 2011-09-19 12:26:22 PDT
Created attachment 560984 [details] [diff] [review]
v1
Comment 5 Dietrich Ayala (:dietrich) 2011-09-19 15:02:02 PDT
Comment on attachment 560984 [details] [diff] [review]
v1

Review of attachment 560984 [details] [diff] [review]:
-----------------------------------------------------------------

thanks! the change generally looks fine. can you not add the property to all tabs though - instead just adding to the active tab? r=me with that change.
Comment 6 Raymond Lee [:raymondlee] 2011-09-19 20:01:55 PDT
Created attachment 561106 [details] [diff] [review]
Patch for checkin

 > thanks! the change generally looks fine. can you not add the property to all
> tabs though - instead just adding to the active tab? r=me with that change.

The property is added only to the active tabs now.

Pushed it to try and waiting for the results
https://tbpl.mozilla.org/?tree=Try&rev=4f78bb473bd6
Comment 7 Raymond Lee [:raymondlee] 2011-09-20 03:01:04 PDT
> Pushed it to try and waiting for the results
> https://tbpl.mozilla.org/?tree=Try&rev=4f78bb473bd6

Passes Try!
Comment 8 Ed Morley [:emorley] 2011-09-20 05:28:38 PDT
Thanks for the try URL + patch with author/commit/reviewer filled out; makes pushing checkin-neededs much less work :-)

Pushed to inbound:
https://hg.mozilla.org/integration/mozilla-inbound/rev/50b328970b3c
Comment 9 Marco Bonardo [::mak] 2011-09-21 02:47:28 PDT
https://hg.mozilla.org/mozilla-central/rev/50b328970b3c
Comment 10 tabmix.onemen 2011-09-25 13:42:31 PDT
keep getting
Error in saving tab value: TypeError: this.parent is null

look like it come from TabItem.save --> getStorageData

in getStorageData this.parent.getActiveTab() fails when this.parent is null
Comment 11 Raymond Lee [:raymondlee] 2011-09-25 19:53:05 PDT
(In reply to onemen.one from comment #10)
> keep getting
> Error in saving tab value: TypeError: this.parent is null
> 
> look like it come from TabItem.save --> getStorageData
> 
> in getStorageData this.parent.getActiveTab() fails when this.parent is null

Filed bug Bug 689078

Note You need to log in before you can comment on or make changes to this bug.